如何安装Eclipse WTP插件_chuansir_新浪博客,chuansir,

baacloud免费翻墙vpn注册使用

如何安装Eclipse WTP插件_chuansir_新浪博客,chuansir,

1.打开如下网页:http://www.eclipse.org/webtools/,找到需要安装的WTP版本

2.点开相应的版本链接,点击“Download”

3.打开具体版本的网页链接

4.注意如下几项:

  Required Prerequisites and Handy Extras   安装WTP的先决条件及便利的扩展

    Eclipse Platform (Platform, JDT)

    EMF v2.4 Runtime Minimum executable code.

    EMF XSD v2.4 Runtime Minimum executable code.

    Graphical Editing Framework (GEF)

    Data Tools Platform (DTP) (required only for EJB or JPT development)

    —————————————————————————————————–

   EMF v2.4 Source and Docs Additional download with Source and Documentation.

   EMF XSD v2.4 Source and Docs Additional download with Source and Documentation.

   Eclipse Test Framework (required only for Automated JUnit tests)

   Eclipse releng tool (required only for committers to more easily “release” code to a build)

   Third Party code from Orbit. Not required and is currently much more than needed for WTP, but    some committers like using to create a PDE target.

   Web Tools Platform Complete                      Web 工具平台

Web App Developers: This non-SDK package is for most users. It includes the runnable code and end-user documentation for those using the tools to develop web applications.

Tool Developers: The SDK package includes source code and developer documentation for those using WTP as a platform to build more tools, as well as everything that is in the non-SDK version.

                                The Automated Test zip contains the unit tests.

      

   Web Standard Tools                                     Web标准工具

Web App Developers: This non-SDK package is for most users. It includes the runnable code and end-user documentation for those using the tools to develop web applications. In particular, non-Java oriented Web Apps (such as HTML, XML, CSS, etc).

Tool Developers: The SDK package includes source code and developer documentation for those using WST as a platform to build more tools, as well as everything that is in the non-SDK version.

The Automated Test zip contains the unit tests.

             

以上三项包括了安装WTP所需要的全部软件及插件。

安装步骤及建议

1.安装java开发环境,jdk1.5以上。

2.安装Eclipse开发环境

3.安装Required Prerequisites and Handy Extras下的插件,解压压缩包中的plugins、features目录下的文件到Eclipse安装目录下的plugins、features目录下即可。

注意Eclipse的不同版本要求相应版本的插件,否则插件不能正常使用。

4.安装Web Tools Platform Complete 、Web Standard Tools下的插件。

5.官方网站提供了在Eclipse开发平台下,在线安装WTP的方法

   If you are just getting started with Eclipse or Eclipse Web Tools, you may want to first install from the Ganymede update site, as it would have everything you need to get started.

This Web Tools Platform update site does assume you have all the pre-reqs installed.(在安装WTP之前必须安装Required Prerequisites and Handy Extras 中的Required Prerequisites部分。

Beyond the basic Web Tools Platform, this site offers the SDK version of Web Tools and also the XSL Incubating Component.

To use this update site in your existing installation of Eclipse, add the following URL as a remote update site in your update manager, if it does not already have it.

    http://download.eclipse.org/webtools/updates/

赞(0) 打赏
分享到: 更多 (0)

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏